Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ldapadapter.appconn
Class STCValuesImpl

    java.lang.Object
      com.stc.connector.ldapadapter.appconn.STCValuesImpl

All Implemented Interfaces:
  STCValues

    public class STCValuesImpl

extends java.lang.Object
implements STCValues

This class is used as a container for the values of an attribute

Version:
  $Revision: 1.4 $
Author:

Constructor Summary
`protected` | `STCValuesImpl()`
`protected` | `STCValuesImpl(javax.naming.NamingEnumeration valsEnum)` Creates a new instance of STCValues

Method Summary
`int` | `countSTCValue()` Returns the number of values in the attribute
`STCValue` | `getSTCValue(int j)` Returns the value at the specified index from the array of values
`void` | `reset()` Method to reset the values

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### STCValuesImpl

    protected STCValuesImpl()

### STCValuesImpl

    protected STCValuesImpl(javax.naming.NamingEnumeration valsEnum)
                     throws javax.naming.NamingException

  Creates a new instance of STCValues

  Parameters:
    `valsEnum` - the enumeration of values
  Throws:
    `javax.naming.NamingException` - if an error occurs while retrieving the values

Method Detail

### reset

    public void reset()

  Description copied from interface: `STCValues`
  Method to reset the values

  Specified by:
    `reset` in interface `STCValues`

### countSTCValue

    public int countSTCValue()

  Returns the number of values in the attribute

  Specified by:
    `countSTCValue` in interface `STCValues`
  Returns:
    the count of values in the attribute

### getSTCValue

    public STCValue getSTCValue(int j)
                         throws java.lang.IndexOutOfBoundsException

  Returns the value at the specified index from the array of values

  Specified by:
    `getSTCValue` in interface `STCValues`
  Parameters:
    `i` - the index of the value to be returned
  Returns:
    the value as a STCValue object
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index specified is not in range

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD